SQL not installed by default

How can I installe this feature. Please advise.

“Microsoft SQL Server Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]”

1 Like

Go to localhost:47334 and install it via mindsdb studio (bottom right)

1 Like

@mejnour Please, check Microsoft SQL Server - MindsDB Documentation. It’s quite simple to do that from MindsDB Studio.

I get “The dependency mssql was not installed” when I do it. Please advise.

So, there is some issue here. @mejnour Can you share the error log from the MindsDB console, so we can debug why mssql is not installed for you?

The window log below is empty, it does not show anything. Is there any other folder whare the log file is saved? Actually I cannot install any dependency…I guess same error.

Sorry, I was saying about the console that pops when you start MindsDB, not the GUI. That one should contain all of the logs from the MindsDB Server. Also, if you want to have a call so we can resolve this just send me a message and we can schedule one.

I have got the exact same error message as menjour, and the only additional error message in the console is:
“S3 Datasource is not available by default. If you wish to use it, please install mindsdb_native”

Hi @Joffy, did you got an error when installing mssql as

Hello @Joffy, @mejnour did you manage to resolve the above issue?

Unfortunately no. I could not find any help.

Thanks for the info @mejnour. Please check the below GIF

. After installing mssql when I open the console there is info as

Collecting pymssql>=2.1.4
  Using cached https://files.pythonhosted.org/packages/40/fd/93ed4522bfb4fbc5edf683b5e7bc25f70c174900eb1c0cedf4713f5e43c7/pymssql-2.1.5-cp37-cp37m-manylinux1_x86_64.whl
Installing collected packages: pymssql
Successfully installed pymssql-2.1.5

Can you please do the same, and copy the output? There we can find the actual error that happens for you.

When I open the app is opens a terminal and this is what it shows:

C:\WINDOWS\system32>C:\PROGRA~1\MindsDB\python\python.exe -m mindsdb --api=http,mysql

✓ telemetry enabled

S3 Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Microsoft SQL Server Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Athena Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Google Cloud Storage Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Versions:

  • lightwood 0.61.1
  • MindsDB_native 2.34.0
  • MindsDB 2.22.0
    Configuration file:
    absent
    Storage path:
    C:\PROGRA~1\MindsDB\python\lib\site-packages\mindsdb/var/
    http API: starting…
    mysql API: starting…

✓ telemetry enabled

✓ telemetry enabled

S3 Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Microsoft SQL Server Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
S3 Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Microsoft SQL Server Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Athena Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Google Cloud Storage Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Athena Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
Google Cloud Storage Datasource is not available by default. If you wish to use it, please install mindsdb_native[extra_data_sources]
mysql API: started on 47335
http API: started on 47334

1 Like

When I try to install the dependency, I get this:

1 Like

By looking at terminal info on start MindsDB is started correctly, with no issues. Then when you try and install mssql and got the The dependency mssql was not installed message what was displayed on the terminal. There should be the actual error. If you can share that it will be great, so we can trace the error that is happening?

I installed it using anaconda. This is the link of log file: https://sokuy-my.sharepoint.com/:t:/g/personal/sokuy_sokuy_onmicrosoft_com/EQo1Uck0XytBtJhGxgpAzVMBFxpcPPL0ot66YPGUgvQUdA?e=VtLuZf

How do I run it from there?

@mejnour If you have installed it in virtual env just enable it and run python3 -m mindsdb.

I get this:

Python 3.9.2 (default, Mar 3 2021, 15:03:14) [MSC v.1916 64 bit (AMD64)] :: Anaconda, Inc. on win32
Type “help”, “copyright”, “credits” or “license” for more information.

python3 -m mindsdb
File “”, line 1
python3 -m mindsdb
^
SyntaxError: invalid syntax

python -m mindsdb
File “”, line 1
python -m mindsdb
^
SyntaxError: invalid syntax

(mindsdb) C:\Users\Mike>python3 -m mindsdb
“python3” no se reconoce como un comando interno o externo,
programa o archivo por lotes ejecutable.

(mindsdb) C:\Users\Mike>python -m mindsdb
C:\Users\Mike.conda\envs\mindsdb\python.exe: No module named mindsdb

(mindsdb) C:\Users\Mike>

@mejnour Can you run pip freeze inside the virtual environment and see if mindsdb is listed there?

(mindsdb) C:\Users\Mike>pip freeze
attrs==20.3.0
certifi==2020.12.5
chardet==4.0.0
colorama==0.4.4
greenlet==1.0.0
idna==2.10
MarkupSafe==1.1.1
numpy==1.19.3
pbr==5.5.1
pyperclip==1.8.2
pyreadline3==3.3
six==1.15.0
smart-open==4.2.0
SQLAlchemy==1.4.2
stevedore==3.3.0
tqdm==4.59.0
urllib3==1.26.4
wcwidth==0.2.5
wincertstore==0.2
zipp==3.4.1

(mindsdb) C:\Users\Mike>